<?php
/**
 * The index view file of index module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Xiying Guan <guanxiyingl@xirangit.com>
 * @package     index 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('showInitialize', commonModel::hasPriv('setting', 'showInitialize'));?>
<?php js::set('initialized',$initialized);?>
<?php if(!$ignoreUpgrade) js::import('http://api.yidou.com.cn/latest.php?version=' . $this->config->version);?>
<div class='container' id='shortcutBox'>

  <?php if(!$ignoreUpgrade):?>
  <div class='alert alert-success' id='upgradeNotice'>
    <div>
      <?php echo $lang->newVersion;?>
      <button class="close"><?php echo html::a(inlink('ignoreUpgrade'), '&times;');?></button>
    </div>
  </div>
  <?php endif;?>

  <?php if(commonModel::hasPriv('sale', 'browse')):?>
  <div class='col-md-4 col-sm-6'>
    <div class='panel'>
      <div class='panel-heading'>
        <strong><?php echo $lang->order->print->sale;?></strong>
        <div class='pull-right'>
          <?php echo html::a($this->createLink('sale', 'browse', 'status=assignedToMe'), $lang->more);?>
        </div>
      </div>
      <div class='panel-body' style='height:208px'>
        <table class='table table-condensed table-borderless table-hover table-fixed'>
          <?php foreach($saleOrders as $order):?>
          <?php $company = zget($companies, $order->trader);?>
          <tr>
            <td><?php if(isset($company->fullName)) if(!commonModel::printLink('sale', 'detail', "id={$order->id}&status=assignedToMe", $company->fullName)) echo $company->fullName;?></td>
            <td class='w-100px text-right'><?php echo $order->money;?></td>
            <td class='w-100px text-right'><?php echo zget($lang->order->statusList, $order->status, ' ');?></td>
          </tr>
          <?php endforeach;?>
        </table>
      </div>
    </div>
  </div>
  <?php endif;?>
  <?php if(commonModel::hasPriv('buy', 'browse')):?>
  <div class='col-md-4 col-sm-6'>
    <div class='panel'>
      <div class='panel-heading'>
        <strong><?php echo $lang->order->print->buy;?></strong>
        <div class='pull-right'>
          <?php echo html::a($this->createLink('buy', 'browse', 'status=assignedToMe'), $lang->more);?>
        </div>
      </div>
      <div class='panel-body' style='height:208px'>
        <table class='table table-condensed table-borderless table-hover table-fixed'>
          <?php foreach($buyOrders as $order):?>
          <?php $company = zget($companies, $order->trader);?>
          <tr>
            <td><?php if(isset($company->fullName)) if(!commonModel::printLink('buy', 'detail', "id={$order->id}&status=assignedToMe", $company->fullName)) echo $company->fullName;?></td>
            <td class='w-100px text-right'><?php echo $order->money;?></td>
            <td class='w-100px text-right'><?php echo zget($lang->order->statusList, $order->status, ' ');?></td>
          </tr>
          <?php endforeach;?>
        </table>
      </div>
    </div>
  </div>
  <?php endif;?>
  <?php if(commonModel::hasPriv('batch', 'browse')):?>
  <div class='col-md-4 col-sm-6'>
    <div class='panel'>
      <div class='panel-heading'>
        <strong><?php echo $lang->order->statusList['toDeliver'];?></strong>
        <div class='pull-right'>
          <?php echo html::a($this->createLink('batch', 'browse', 'status=picking'), $lang->more);?>
        </div>
      </div>
      <div class='panel-body' style='height:208px'>
        <table class='table table-condensed table-borderless table-hover table-fixed'>
          <?php foreach($pickOrders as $order):?>
          <?php $company = zget($companies, $order->trader);?>
          <tr>
            <td>
              <?php if(isset($company->fullName)) if(!commonModel::printLink('batch', 'deliver', "id={$order->id}", $company->fullName, "data-toggle='modal'")) echo $company->fullName;?>
            </td>
            <td class='w-100px text-right'><?php echo formatTime($order->createdDate, DT_DATE4);?></td>
            <td class='w-100px text-right'><?php echo $lang->order->statusList['toDeliver'];?></td>
          </tr>
          <?php endforeach;?>
        </table>
      </div>
    </div>
  </div>
  <?php endif;?>
  <?php if(commonModel::hasPriv('batch', 'browseBuyOrders')):?>
  <div class='col-md-4 col-sm-6'>
    <div class='panel'>
      <div class='panel-heading'>
        <strong><?php echo $lang->order->statusList['toReceive'];?></strong>
        <div class='pull-right'>
          <?php echo html::a($this->createLink('batch', 'browseBuyOrders'), $lang->more);?>
        </div>
      </div>
      <div class='panel-body' style='height:208px'>
        <table class='table table-condensed table-borderless table-hover table-fixed'>
          <?php foreach($receiveOrders as $order):?>
          <?php $company = zget($companies, $order->trader);?>
          <tr>
            <td>
              <?php if(isset($company->fullName)) if(!commonModel::printLink('batch', 'create', "orderId={$order->id}&status=receive", $company->fullName)) echo $company->fullName;?>
            </td>
            <td class='w-100px text-right'><?php echo $order->finishedDate;?></td>
            <td class='w-100px text-right'><?php echo $lang->order->statusList['toReceive'];?></td>
          </tr>
          <?php endforeach;?>
        </table>
      </div>
    </div>
  </div>
  <?php endif;?>
  <?php if(commonModel::hasPriv('finance', 'browse')):?>
  <div class='col-md-4 col-sm-6'>
    <div class='panel'>
      <div class='panel-heading'>
        <strong><?php echo $lang->finance->browse['in'];?></strong>
        <div class='pull-right'>
          <?php echo html::a($this->createLink('finance', 'browse', 'type=in&searchType=thismonth'), $lang->more);?>
        </div>
      </div>
      <div class='panel-body' style='height:208px'>
        <table class='table table-condensed table-borderless table-hover table-fixed'>
          <?php foreach($receivables as $receivable):?>
          <?php $company = zget($companies, $receivable->trader);?>
          <tr>
            <td>
              <?php if(isset($company->id)) echo html::hidden('companyId', $company->id);?>
              <?php echo html::hidden('type', 'in');?>
              <?php if(isset($company->fullName)) echo commonModel::hasPriv('finance', 'detail') ? html::a('#', $company->fullName, "class='postHiddenForm'") : $company->fullName;?>
            </td>
            <td class='w-100px text-right'><?php echo $receivable->thisPeriodBalance;?></td>
          </tr>
          <?php endforeach;?>
        </table>
      </div>
    </div>
  </div>
  <?php endif;?>
  <?php if(commonModel::hasPriv('finance', 'browse')):?>
  <div class='col-md-4 col-sm-6'>
    <div class='panel'>
      <div class='panel-heading'>
        <strong><?php echo $lang->finance->browse['out'];?></strong>
        <div class='pull-right'>
          <?php echo html::a($this->createLink('finance', 'browse', 'type=out&searchType=thismonth'), $lang->more);?>
        </div>
      </div>
      <div class='panel-body' style='height:208px'>
        <table class='table table-condensed table-borderless table-hover table-fixed'>
          <?php foreach($payables as $payable):?>
          <?php $company = zget($companies, $payable->trader);?>
          <tr>
            <td>
              <?php if(isset($company->id)) echo html::hidden('companyId', $company->id);?>
              <?php echo html::hidden('type', 'out');?>
              <?php if(isset($company->fullName)) echo commonModel::hasPriv('finance', 'detail') ? html::a('#', $company->fullName, "class='postHiddenForm'") : $company->fullName;?>
            </td>
            <td class='w-100px text-right'><?php echo $payable->thisPeriodBalance;?></td>
          </tr>
          <?php endforeach;?>
        </table>
      </div>
    </div>
  </div>
  <?php endif;?>
  <form id='hiddenForm' method='post'>
    <?php echo html::hidden('begin', $begin);?>
    <?php echo html::hidden('end', $end);?>
  </form>
</div>
<?php include '../../common/view/footer.html.php';?>
