<?php 
/**
 * The browse view file of invoice module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan <yaozeyuan@yidou.biz>
 * @package     invoice
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php js::set('type', $type);?>
<?php js::set('method', $method);?>
<div class='col-md-2'>
  <ul class='nav nav-primary nav-stacked'>
    <li><?php echo html::a($this->inLink('browseUninvoicedCompany', array('type' => $type)), $lang->invoice->$type->uninvoiced);?></li>
    <li><?php echo html::a($this->inLink("{$type}browse", array('method' => 'done')), $lang->invoice->$type->done);?></li>
    <?php if($type == 'sale'):?>
    <li><?php echo html::a($this->inLink("{$type}browse", array('method' => 'discard')), $lang->invoice->$type->discard);?></li>
    <?php endif;?>
  </ul>
</div>
<div class='col-md-10'>
  <div class='panel'>
    <form method='post' action='<?php echo inlink('create', array('companyID' => $companyID, 'type' => $type));?>'>
      <table class='table table-condensed table-hover table-striped tablesorter' id='tradeList'>
        <thead>
          <tr>
            <th class='w-60px' ><?php echo $lang->id;?></th>
            <th class=''><?php echo $lang->invoice->browseUninvoicedBatch->productName;?></th>
            <th class='w-200px'><?php echo $lang->invoice->browseUninvoicedBatch->uninvoicedCount;?></th>
            <th class='w-200px'><?php echo $lang->invoice->browseUninvoicedBatch->invoicedCount;?></th>
            <th class='w-200px'><?php echo $lang->invoice->browseUninvoicedBatch->price;?></th>
            <th class='w-200px'><?php echo $lang->invoice->browseUninvoicedBatch->uninvoicedMoney;?></th>
            <th class='w-150px text-center'><?php echo $lang->detail;?></th>
          </tr>                            
        </thead>
        <tbody>
          <?php $i = 1;?>
          <?php foreach($batchProductList as $id => $batchProduct):?>
          <tr>
            <td><input type="checkbox" class="checkbox-choose" name="batchProductIDList[<?php echo $i;?>]" value="<?php echo $id;?>"><?php echo $i;?></td>
            <td class='batch-detail-switch'><?php echo html::a('#', $productList[$batchProduct->product]->name, "data-index='{$i}'");?></td>
            <td><?php echo ($batchProduct->amount - $batchProduct->invoicedCount);?></td>
            <td><?php echo $batchProduct->invoicedCount;?></td>
            <td><?php echo $batchProduct->price;?></td>
            <td class='uninvoicedMoney'><?php echo $batchProduct->uninvoicedMoney;?></td>
            <td class='batch-detail-switch text-center'><?php echo html::a('#', $lang->detail, "data-index='{$i}'");?></td>
          </tr>
            <?php foreach($batchProduct->productList as $product):?>
              <tr class='<?php echo "batch-detail-{$i} batch-detail"?>'>
                <td></td>
                <td></td>
                <?php $order = $orderList[$product->order];?>
                <?php $orderLBL = commonModel::hasPriv(str_replace('Refund', '', $order->type), 'detail') ? html::a($this->createLink(str_replace('Refund', '', $order->type), 'detail', "id={$order->id}&status={$order->status}"), $order->orderNo) : $order->orderNo;?>
                <td><?php echo $lang->invoice->browseUninvoicedBatch->uninvoicedCount . ':' . ($product->amount - $product->invoicedCount);?></td>
                <td><?php echo $lang->invoice->ownerOrder . ':' . $orderLBL;?></td>
                <td><?php echo $lang->invoice->expressedDate . ':' . $product->batchInfo->expressedDate;?></td>
                <td><?php echo $lang->invoice->browseUninvoicedBatch->uninvoicedMoney . ':' . $product->uninvoicedMoney;?></td>
                <td></td>
              </tr>
            <?php endforeach;?>
          <?php $i++;?>
          <?php endforeach;?>
        </tbody>
        <tfoot>
          <tr>
            <td colspan='6'>
              <div class='btn-group'>
                <a class='btn' href='javascript:checkAll()'><?php echo $lang->selectAll;?></a>
                <a class='btn' href='javascript:checkReverse()'><?php echo $lang->selectReverse;?></a>
              </div>
              <div class='btn-group'>
                <?php echo html::submitButton($lang->invoice->browseUninvoicedBatch->create);?>
              </div>
            </td>
            <td class='invoiced-count'>
                <?php echo "{$lang->invoice->moneyAmount}({$lang->invoice->isTaxed})" . ' : ' ;?><span class='count-text'>0</span>
            </td>
          </tr>
        </tfoot>
      </table>
    </form>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
