<?php 
/**
 * The browse view of order module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     order 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('status', $status);?>
<div id='menuActions'>
  <?php commonModel::printLink($moduleType, 'export', "status={$status}", "<i class='icon-download-alt'></i> " . $lang->export, "class='btn btn-primary export' data-toggle='modal'");?>
  <?php commonModel::printLink($moduleType, 'create', "status={$status}", '<i class="icon-plus"></i> ' . $lang->order->create, 'class="btn btn-primary"');?>
  <?php commonModel::printLink($moduleType, 'createRefund', "status={$status}", '<i class="icon-plus"></i> ' . $lang->order->createRefund, 'class="btn btn-primary"');?>
</div>
<div class='panel'>
  <table class='table table-condensed table-hover table-striped tablesorter'>
    <thead>
      <tr>
        <?php $vars = "status={$status}&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}";?>
        <th class='w-160px'><?php commonModel::printOrderLink('orderNo', $orderBy, $vars, $lang->order->orderNo);?></th>
        <th><?php commonModel::printOrderLink('trader', $orderBy, $vars, $lang->order->trader[$moduleType]);?></th>
        <th class='w-100px'><?php commonModel::printOrderLink('createdBy', $orderBy, $vars, $lang->order->createdBy);?></th>
        <th class='w-100px'><?php commonModel::printOrderLink('createdDate', $orderBy, $vars, $lang->order->createdDate);?></th>
        <th class='w-100px'><?php commonModel::printOrderLink('finishedDate', $orderBy, $vars, $lang->order->finishedDate);?></th>
        <th class='w-100px'><?php commonModel::printOrderLink('money', $orderBy, $vars, $lang->order->money);?></th>
        <th class='w-100px'><?php commonModel::printOrderLink('status', $orderBy, $vars, $lang->order->status);?></th>
        <th class='<?php echo $moduleType == 'sale' ? 'w-260px' : 'w-200px';?> text-center'><?php echo $lang->actions;?></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach($orders as $id => $order):?>
      <?php $refundAppend = ($order->type == 'saleRefund' || $order->type == 'buyRefund') ? 'Refund' : '';?>
      <tr data-url='<?php echo inlink('detail', "id={$id}&status={$status}")?>'>
        <td>
          <?php $orderLBL = commonModel::hasPriv($moduleType, 'detail') ? html::a(inlink('detail', "id={$id}&status={$status}"), $order->orderNo) : $order->orderNo;?>
          <?php echo html::checkbox('orderIDList', array($id => $orderLBL), '', "class='checkbox-choose'");?>
        </td>
        <td>
          <?php $company = zget($companies, $order->trader);?>
          <?php if(!commonModel::printLink($company->type, 'detail', "id={$company->id}", $company->fullName)) echo $company->fullName;?>
        </td>
        <td><?php echo zget($users, $order->createdBy, ' ');?></td>
        <td><?php echo formatTime($order->createdDate, DT_DATE4);?></td>
        <td><?php echo formatTime($order->finishedDate, DT_DATE4);?></td>
        <td><?php echo $order->money;?></td>
        <td><?php echo zget($lang->order->statusList, $order->status, ' ');?></td>
        <td class='text-center'>
          <ul>
            <?php
              if($order->status == 'canceled' || $order->status == 'finished')
              {
                  if($order->type == 'sale' || $order->type == 'buyRefund')
                  {
                      echo '<li>' . html::a('#', $this->lang->order->pick, "disabled='disabled' class='disabled'") . '</li>';
                      if($order->type == 'sale') echo '<li>' . html::a('#', $this->lang->order->buy, "disabled='disabled' class='disabled'") . '</li>';
                  }
                  echo '<li>' . html::a('#', $this->lang->finish, "disabled='disabled' class='disabled'") . '</li>';
              }
              else
              {
                  if($order->type == 'sale' || $order->type == 'buyRefund')
                  {
                      echo "<li>";
                      if(!commonModel::printLink($moduleType, 'assignToPick', "id={$order->id}&status={$status}", $this->lang->order->pick)) echo html::a('#', $this->lang->order->pick, "disabled='disabled' class='disabled'");
                      echo "</li>";

                      if($order->type == 'sale')
                      {
                          echo "<li>";
                          if(!commonModel::printLink($moduleType, 'assignToPurchase', "id={$order->id}", $this->lang->order->buy, "data-toggle='modal'")) echo html::a('#', $this->lang->order->buy, "disabled='disabled' class='disabled'");
                          echo "</li>";
                      }
                  }

                  echo "<li>";
                  if(!commonModel::printLink($moduleType, 'finish', "id={$order->id}&status={$status}", $this->lang->finish, "data-toggle='modal'")) echo html::a('#', $this->lang->finish, "disabled='disabled' class='disabled'");
                  echo "</li>";
              }

              echo "<li>";
              if(!commonModel::printLink($moduleType, 'printOrder', "id={$order->id}&status={$status}", $this->lang->print)) echo html::a('#', $this->lang->print, "disabled='disabled' class='disabled'");
              echo "</li>";

              echo "<li>";
              if(!commonModel::printLink($moduleType, 'detail', "id={$order->id}&status={$status}", $this->lang->detail)) echo html::a('#', $this->lang->detail, "disabled='disabled' class='disabled'");
              echo "</li>";
              
              echo "<li>";
              if($order->status == 'canceled' || $order->status == 'finished')
              {
                  echo html::a('#', $this->lang->edit, "disabled='disabled' class='disabled'");
              }
              else
              {
                  if(!commonModel::printLink($moduleType, 'edit' . $refundAppend, "id={$order->id}&status={$status}", $this->lang->edit)) echo html::a('#', $this->lang->edit, "disabled='disabled' class='disabled'");
              }
              echo "</li>";
            ?>
          </ul>
        </td>
      </tr>
      <?php endforeach;?>
    </tbody>
    <tfoot>
      <tr>
        <td colspan='8'>
          <?php if($orders):?>
          <div class='btn-group'>
            <a class='btn' href='javascript:checkAll()'><?php echo $lang->selectAll;?></a>
            <a class='btn' href='javascript:checkReverse()'><?php echo $lang->selectReverse;?></a>
          </div>
          <?php endif;?>
          <?php $pager->show();?>
        </td>
      </tr>
    </tfoot>
  </table>
</div>
<?php include '../../common/view/footer.html.php';?>
