<?php 
/**
 * The browse view of report module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     report 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php js::set('searchType', $searchType);?>
<div class='panel'>
  <div id='featurebar'>
    <ul class='nav'>
      <?php foreach($lang->report->date as $key => $value):?>
      <li id='<?php echo $key?>'><?php echo html::a(inlink("{$type}Report", "searchType={$key}"), $value);?></li> 
      <?php endforeach;?>
      <li id='searchTab'><?php echo html::a('#', "<i class='icon icon-search'></i>" . $lang->search);?></li>
    </ul>
    <div id='querybox' class='hide'>
      <form id='searchForm' method='post' action='<?php echo inlink("{$type}Report", "searchType=bysearch");?>'>
        <table class='table table-condensed table-form' style='margin: 0 auto'>
          <tr>
            <td class='w-130px'><?php echo html::select('trader', $companies, $this->post->trader, "class='form-control chosen' data-placeholder='{$lang->report->select[$companyType]}'");?></td>
            <td class='w-130px'><?php echo html::select('product', $products, $this->post->product, "class='form-control chosen' data-placeholder='{$lang->report->select['product']}'");?></td>
            <td class='w-120px'><?php echo html::select('category', $categories, $this->post->category, "class='form-control chosen' data-placeholder='{$lang->report->select['category']}'");?></td>
            <td class='w-150px'><?php echo html::select('model', $models, $this->post->model, "class='form-control chosen' data-placeholder='{$lang->report->select['model']}'");?></td>
            <td class='w-120px'><?php echo html::input('begin', $this->post->begin, "class='form-control form-date' placeholder='{$lang->report->select['begin']}'");?></td>
            <td class='w-120px'><?php echo html::input('end', $this->post->end, "class='form-control form-date' placeholder='{$lang->report->select['end']}'");?></td>
            <td class='w-120px'>
              <div class='btn-group'>
                <?php echo html::submitButton($lang->search);?>
              </div>
            </td>
          </tr>
        </table>
      </form>
    </div>
  </div>
  <table class='table table-condensed table-striped table-hover tablesorter'>
    <thead>
      <tr>
        <?php $vars = "searchType={$searchType}&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}";?>
        <th class='w-140px'><?php commonModel::printOrderLink('orderNo', $orderBy, $vars, $lang->order->orderNo);?></th>
        <th class='w-180px'><?php commonModel::printOrderLink('trader', $orderBy, $vars, $lang->order->trader[$type]);?></th>
        <th class='w-100px'><?php commonModel::printOrderLink('createdDate', $orderBy, $vars, $lang->order->createdDate);?></th>
        <th class='w-140px'><?php commonModel::printOrderLink('product', $orderBy, $vars, $lang->orderProduct->product);?></th>
        <th><?php commonModel::printOrderLink('model', $orderBy, $vars, $lang->orderProduct->model);?></th>
        <th class='w-60px' ><?php commonModel::printOrderLink('unit', $orderBy, $vars, $lang->orderProduct->unit);?></th>
        <th class='w-80px text-right' ><?php commonModel::printOrderLink('price', $orderBy, $vars, $lang->orderProduct->price);?></th>
        <th class='w-80px text-right' ><?php commonModel::printOrderLink('amount', $orderBy, $vars, $lang->orderProduct->amount);?></th>
        <th class='w-80px text-right' ><?php commonModel::printOrderLink('money', $orderBy, $vars, $lang->order->money);?></th>
        <th class='w-80px' ><?php commonModel::printOrderLink('taxed', $orderBy, $vars, $lang->order->taxed);?></th>
        <th class='w-80px' ><?php echo $lang->order->desc;?></th>
      </tr>
    </thead>
    <tbody>
      <?php $pageTotalMoney = 0;?>
      <?php foreach($orders as $order):?>
      <tr>
        <td><?php if(!commonModel::printLink($type, 'detail', "id={$order->id}&status=all", $order->orderNo)) echo $order->orderNo;?></td>
        <td>
          <?php $company = zget($companyList, $order->trader);?>
          <?php if(!commonModel::printLink($company->type, 'detail', "id={$company->id}", $company->companyName)) echo $company->companyName;?>
        </td>
        <td><?php echo formatTime($order->createdDate, DT_DATE4);?></td>
        <td><?php if(!commonModel::printLink('product', 'detail', "id={$order->productID}", $order->product)) echo $order->product;?></td>
        <td><?php echo zget($models, $order->model, ' ');?></td>
        <td><?php echo zget($units, $order->unit, ' ');?></td>
        <td class='text-right'><?php echo $order->price;?></td>
        <td class='text-right'><?php echo $order->amount;?></td>
        <td class='text-right'><?php echo $order->money;?></td>
        <td class='text-right'><?php echo zget($lang->order->taxedList, $order->taxed);?></td>
        <?php $desc = empty($order->desc) ? $lang->report->noDesc : $order->desc;?>
        <td><?php echo html::a('#', $lang->report->showDesc, "data-toggle='tooltip' data-placement='left' title='{$desc}'");?></td>
      </tr>
      <?php $pageTotalMoney += $order->money;?>
      <?php endforeach;?>
    </tbody>
    <tfoot>
      <tr>
        <th colspan='5' class='text-danger'>
          <?php echo sprintf($lang->report->money, $totalMoney, $pageTotalMoney);?>
        </th>
        <td colspan='7'><?php $pager->show();?></td>
      </tr>
    </tfoot>
  </table>
</div>
<?php include '../../common/view/footer.html.php';?>
