<?php 
/**
 * The browse view file of trade module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     trade 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('type', $type);?>
<div id='menuActions'>
  <?php
    commonModel::printLink('trade', 'create', "type={$type}",  "<i class='icon-plus'></i> " . $lang->trade->$type, "class='btn btn-primary'");
    commonModel::printLink('trade', 'batchCreate', "type={$type}", "<i class='icon-plus-sign'></i> " . $lang->trade->batchCreate, "class='btn btn-primary'");
  ?>
</div>
<div class='panel'>
  <form method='post' action='<?php echo inlink('batchEdit', "step=form&type={$type}") ?>'>
    <table class='table table-condensed table-hover table-striped tablesorter' id='tradeList'>
      <thead>
        <tr>
          <?php $vars = "type={$type}&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}";?>
          <th class='w-100px'><?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->trade->id[$type]);?></th>
          <th class='w-140px'><?php commonModel::printOrderLink('depositor', $orderBy, $vars, $lang->trade->depositor);?></th>
          <th class='w-60px' ><?php commonModel::printOrderLink('type', $orderBy, $vars, $lang->trade->type);?></th>
          <th class='w-140px'><?php commonModel::printOrderLink('trader', $orderBy, $vars, $lang->trade->customer[$type]);?></th>
          <th class='w-120px'><?php commonModel::printOrderLink('money', $orderBy, $vars, $lang->trade->money);?></th>
          <th class='w-100px'><?php commonModel::printOrderLink('handlers', $orderBy, $vars, $lang->trade->handlers);?></th>
          <th class='w-100px'><?php commonModel::printOrderLink('date', $orderBy, $vars, $lang->trade->date);?></th>
          <th class='w-150px'><?php echo $lang->trade->desc;?></th>
          <th class='w-80px' ><?php echo $lang->actions;?></th>
        </tr>
      </thead>
      <tbody>
        <?php foreach($trades as $trade):?>
        <tr>
          <td>
            <label class='checkbox-inline'><input type='checkbox' class='checkbox-choose' name='tradeIDList[]' value='<?php echo $trade->id;?>'/><?php echo $trade->id;?></label>
          </td>
          <td><?php echo zget($depositorList, $trade->depositor, ' ');?></td>
          <td><?php echo $lang->trade->typeList[$trade->type];?></td>
          <td>
            <?php $company = zget($companies, $trade->trader);?>
            <?php if(isset($company->fullName) && !commonModel::printLink($company->type, 'detail', "id={$company->id}", $company->fullName)) echo $company->fullName;?>
          </td>
          <td><?php echo $trade->money;?></td>
          <td><?php foreach(explode(',', $trade->handlers) as $handler) echo zget($users, $handler) . ' ';?></td>
          <td><?php echo formatTime($trade->date, DT_DATE4);?></td>
          <td class='text-left'><?php echo $trade->desc;?></td>
          <td>
            <?php 
              commonModel::printLink('trade', 'edit', "tradeID={$trade->id}&type={$type}", $lang->edit);   
              commonModel::printLink('trade', 'detail', "tradeID={$trade->id}&type={$type}", $lang->detail);   
              commonModel::printLink('trade', 'delete', "tradeID={$trade->id}", $lang->delete, "class='deleter'");   
            ?>
          </td>
        </tr>
        <?php endforeach;?>
      </tbody>
      <tfoot>
        <tr>
          <td colspan='9'>
            <?php if($trades):?>
              <div class='btn-group'>
                <a class='btn' href='javascript:checkAll()'><?php echo $lang->selectAll;?></a>
                <a class='btn' href='javascript:checkReverse()'><?php echo $lang->selectReverse;?></a>
              </div>
              <?php if(commonModel::hasPriv('trade', 'batchEdit')) echo html::submitButton($lang->edit);?>
            <?php endif;?>
            <?php echo $pager->get();?>
          </td>
        </tr>
      </tfoot>
    </table>
  </form>
</div>
<?php include '../../common/view/footer.html.php';?>
